Loading...
Searching...
No Matches
Opm::Aquancon Class Reference

## Classes

struct | AquancCell

## Public Member Functions

| Aquancon (const EclipseGrid &grid, const Deck &deck)
| Aquancon (const std::unordered_map< int, std::vector< Aquancon::AquancCell > > &data)
void | pruneDeactivatedAquiferConnections (const std::vector< std::size_t > &deactivated_cells)
void | loadFromRestart (const RestartIO::RstAquifer &rst_aquifers)
const std::unordered_map< int, std::vector< Aquancon::AquancCell > > & | data () const
bool | operator== (const Aquancon &other) const
bool | active () const
bool | hasAquiferConnections (int aquiferID) const
const std::vector< Aquancon::AquancCell > & | getConnections (int aquiferID) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Aquancon | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/Aquancon.hpp
- opm/input/eclipse/EclipseState/Aquifer/Aquancon.cpp